cURL
curl --request POST \
--url https://api.example.com/tickets \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"gameId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"channels": [
"email"
],
"metadata": {
"player": {
"email": "jsmith@example.com",
"id": "<string>",
"name": "<string>",
"tier": 1
},
"tags": [
"<string>"
],
"fields": {}
},
"attachments": [],
"skipDuplicateCheck": false,
"platform": "not_specified"
}
'import requests
url = "https://api.example.com/tickets"
payload = {
"gameId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"channels": ["email"],
"metadata": {
"player": {
"email": "jsmith@example.com",
"id": "<string>",
"name": "<string>",
"tier": 1
},
"tags": ["<string>"],
"fields": {}
},
"attachments": [],
"skipDuplicateCheck": False,
"platform": "not_specified"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gameId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>',
channels: ['email'],
metadata: {
player: {email: 'jsmith@example.com', id: '<string>', name: '<string>', tier: 1},
tags: ['<string>'],
fields: {}
},
attachments: [],
skipDuplicateCheck: false,
platform: 'not_specified'
})
};
fetch('https://api.example.com/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runningId": 123
}{
"details": {
"type": "PLAYER_BLOCKED"
}
}Authenticated endpoints (API key)
Post tickets
Create a new ticket. To include attachments, call POST /attachments to obtain upload URLs, upload the files, and pass the returned attachment IDs in the attachments array.
POST
/
tickets
cURL
Headers
Bearer token API key
Body
application/json
Available options:
en, de, es, es-AR, es-MX, fi, fil, fr, id, ja, ko, ms, pt, pt-BR, ru, tr, uk, vi, zh, zh-Hans, zh-Hant, ar, cs, da, nl, el, hu, it, no, nb, pl, ro, sk, sv, th Minimum array length:
1Available options:
email Show child attributes
Show child attributes
List of attachment IDs returned by POST /attachments after the file upload completes.
If true, the duplicate ticket check will be skipped.
Available options:
ios, android, win, macos, linux, web, playstation_4, playstation_5, switch, switch_2, xbox_series, xbox_one, not_specified